Subject: RE: [Beginner] Parsing errors compiling headers
From: "Ed Bradford/Raleigh/IBM" <[email-masked]>
To: "Robinow, David" <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Oct 2000 15:30:19 -0400

After 45 minutes work, we read:

   "This function does a lot of work, and can be a serious performance
   bottleneck.  It has been tuned heavily; make sure you understand i
   before hacking.  The common case - no trigraphs, Unix style line
   breaks, backslash-newline set off by whitespace, newline at EOF -
   has been optimized at the expense of the others.  The performance
   penalty for DOS style line breaks (\r\n) is about 15%."

     From      gcc-2.95.2/gcc/cppfiles.c

The message here is don't mess with the C Prepass unless you know what you
are doing.

The comment to fix it myself sounds just like something Microsoft would
say. I am running their profiler now and
my program works fine without the profiler. When I use Microsoft's profiler
the profiling activity fails and tells me that I have a
bug in my program that prevents the Microsoft profiler from working. Blame
the person who finds
a bug.

I think the value in open source is that people can stumble over bugs, and
narrow the
scope of search down drastically to the point where the owner can quickly
fix it. They do this because
they know the program maintainer is not being paid and therefore are
willing to volunteer some
of their own time to help. This cannot be done with Microsoft products
because you don't know who the developer
is, you are pretty certain there is no one who wants to hear about the bug,
and the shear complexity
of Microsoft software pushes people away from trying to figure out what is
broken. Finally, you paid
real money for the software, so you expect it to work. You don't expect to
have to pay more money
to Microsoft to find out that, indeed, you have found a bug.

I hope we don't continue with the "fix it yourself" rebuttals. It really is
pretty impractical.

I sent some mail to the [email-masked] describing the issue.

Ed

Your Windows 2000 Arborist
T/L 589-4410; Outside: 1-919-993-4410
[email-masked]

"Robinow, David" <[email-masked]>@sources.redhat.com on
10/26/2000 01:49:00 PM

Sent by:  [email-masked]

To:   [email-masked]
cc:
Subject:  RE: [Beginner] Parsing errors compiling headers

> If I knew which list to send email to I would try to prevail
> on the gcc/cpp owner
  You are the gcc/cpp owner (sort of)
> to fix the problem. Apparently, it sees
>      LF
>      CRLF
> ok, and
>      \LF
> ok, but
>      \CRLF
> gets broken.  It seems like an easy fix. That way people
> wouldn't have to worry about
> the exact format of header files in /usr/include.
 If it's so easy why don't you fix it yourself?

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]